Subject: Re: bug#12579: 24.1; Emacs 24.1 / 24.2 (daily) crashes

From: Eli Zaretskii <[email-masked]>
Date: Fri, 05 Oct 2012 18:05:22 +0200

> From: "Fabrice Niessen" <[email-masked]>
> Date: Fri, 05 Oct 2012 10:14:56 +0200
> 
> I've many crashes of Emacs (daily, a couple of crashes). Though, no recipe...

Thank you for your report.

> _Often_ Emacs is just blocked, and C-g can't help me. I simply have to kill
> Emacs from the Task Manager.

Next time when this happens, instead of killing Emacs, attach GDB to
it and show us the backtrace you get in all threads.

> _Sometimes_, though, I have an Emacs abort dialog, something like:
> 
> I had such a crash this morning, then applied the above recipe. I've no
> experience in running a debugger, but here's what I could come up with:

Here's the culprit:

> #13 0x010431b7 in die (msg=0x1537030 "assertion failed: buffer->base_buffer->indirections > 0", file=0x1535810 "buffer.c",

Next time, could you also type "xbacktrace" and show the results?  If
you don't have the .gdbinit file to go with the binary you use, you
should be able to find it in the src directory of the corresponding
source tarball; then type "source .gdbinit" from the GDB prompt, when
you enter GDB, or just put .gdbinit in the directory where you start
GDB.  The xbacktrace command is defined on .gdbinit.

TIA